さとうです. 近々, Ruby で GD を使うことになるので, Ruby から
GD を使うためのライブラリを探しておこうかなぁと思ってた矢先でした.

  まず本題に入る前に, 名称に関するお願いがあります.

    * http://www.boutell.com/gd/ から配布されているライブラリ
    * 上記ライブラリを Ruby から使うための拡張ライブラリ

の双方が「GD」という名前で, 注意深く読まないと混乱してしまい
そうです. もし可能なら, 後者に「Ruby の拡張ライブラリ」って
いうことがわかりやすい名前を付けていただけるとありがたいです.

  田村さんのメールでは, 前者を GD, 後者を GD-0.6.2 と書き分けられて
いますが, もっとはっきりと区別できたほうがいいのでは? と思いました.

  で, 本題のほうですが, 本家が

> * GD はgifの扱いを完全に取り止め、PNG(やJpeg)フォーマットをサポートす
>   る1.6 以降のバージョンを使用するように強く推奨している。実際1.5以前
>   のバージョンは本家(http://www.boutell.com/gd/)からは入手不可能になっ
>   ている。「議論が喧しいgifよりも、あらゆる面でより優れたフォーマット
>   であるPNGへとさっさと切り替えよう」、という態度。

という態度なら, 拡張ライブラリ GD-0.6.2 に含まれる GIF サポートは
もう要らないのではないでしょうか?

  また, GIF サポート付の GD は, これ以上進化しないと思われますので,
GD-0.6.2 を入手可能な状態にしておけば, GIF サポート付の GD で GIF を
いじりたい人も困らずに済むのではないかと思います.

# この文章は, 私が PNG 好きということを考慮して読んでもらったほうが
# いいかもしれない…

--
さとうまさひろ / 佐藤正博
  m / sa.to or masahiro-sato / mbj.sphere.ne.jp